library verilog;
use verilog.vl_types.all;
entity singleDelayWithEnableGeneric_1s_2 is
    generic(
        bitwidth        : integer := 1
    );
    port(
        N_5             : in     vl_logic_vector(0 downto 0);
        N_16            : out    vl_logic_vector(0 downto 0);
        clk             : in     vl_logic;
        GlobalEnable1   : in     vl_logic;
        GlobalReset     : in     vl_logic
    );
end singleDelayWithEnableGeneric_1s_2;
